This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 62326 - man page doesn't specify requirement for (at least) 6 Xs
man page doesn't specify requirement for (at least) 6 Xs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mktemp (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 13:20 EST by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-29 13:20:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-29 13:20:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9+) Gecko/20020328

Description of problem:
mktemp apparently requires (and only uses) 6 Xs on the filename to create a
temporary file.  Nowhere in the man page does it mention this requirement.  In
fact, the man page implies that 'mktemp fooX' should work if there is no
conflict.  The man page should mention the requirement, or the binary should be
fixed to allow the user to specify fewer Xs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd /tmp
2. mkdir aahatvolunteermatch
3. cd aahatvolunteermatch
4. mktemp fooXXX

Actual Results:  Cannot create temp file fooXXX

Expected Results:  should have created a temp file named 'fooXXX', where X ==
some random alphanumeric
Comment 1 Ngo Than 2002-03-31 05:32:05 EST
then man page in mktemp-1.5-14 is fixed now. thanks

Note You need to log in before you can comment on or make changes to this bug.